C2DTransformMock Class Reference

This class mocks a transformation by implementing all the pure virtual methods of the C2DTransformation interface. More...

`#include <mia/2d/transformmock.hh>`

Inheritance diagram for C2DTransformMock:
[legend]
Collaboration diagram for C2DTransformMock:
[legend]

## Additional Inherited Members

Public Types inherited from C2DTransformation
typedef C2DImage | Data
| generic name for the data used by this transformation
typedef C2DInterpolatorFactory | InterpolatorFactory
| generic name for the interpolation factory used by this transformation
typedef std::shared_ptr< C2DTransformation > | Pointer
| pointer type of this transformation
typedef C2DBounds | Size
| generic name for the size type used by this transformation
typedef C2DTransformation | type
| generic name for this transformation type
typedef C2DFVector | Vector
| generic name for the vector type used by this transformation
Public Types inherited from Transformation< C2DImage, C2DInterpolatorFactory >
typedef C2DImage | Data
| typedef for the data type to be transformed by this transformation
typedef C2DInterpolatorFactory | InterpolatorFactory
| type of the interpolator used by this transformation
Public Member Functions inherited from C2DTransformation
virtual C2DFVector | apply (const C2DFVector &x) const __attribute__((deprecated))
virtual const_iterator | begin () const =0
| C2DTransformation (const C2DInterpolatorFactory &ipf)
virtual C2DTransformation * | clone () const __attribute__((warn_unused_result))
virtual size_t | degrees_of_freedom () const =0
virtual C2DFMatrix | derivative_at (const C2DFVector &x) const =0
virtual C2DFMatrix | derivative_at (int x, int y) const =0
virtual const_iterator | end () const =0
const std::string & | get_creator_string () const
virtual C2DFVector | get_displacement_at (const C2DFVector &x) const =0
virtual float | get_jacobian (const C2DFVectorfield &v, float delta) const =0
virtual float | get_max_transform () const =0
virtual C2DBounds | get_minimal_supported_image_size () const
virtual CDoubleVector | get_parameters () const =0
virtual const C2DBounds & | get_size () const =0
virtual C2DTransformation * | invert () const __attribute__((warn_unused_result))=0
virtual C2DFVector | operator() (const C2DFVector &x) const =0
virtual float | pertuberate (C2DFVectorfield &v) const =0
virtual bool | refine ()
void | set_creator_string (const std::string &s)
virtual void | set_identity ()=0
virtual void | set_parameters (const CDoubleVector &params)=0
virtual void | translate (const C2DFVectorfield &gradient, CDoubleVector &params) const =0
virtual void | update (float step, const C2DFVectorfield &a)=0
Pointer | upscale (const C2DBounds &size) const
Public Member Functions inherited from Transformation< C2DImage, C2DInterpolatorFactory >
double | get_energy_penalty () const
double | get_energy_penalty_and_gradient (CDoubleVector &gradient) const
bool | has_energy_penalty () const
std::shared_ptr< C2DImage > | operator() (const C2DImage &input) const
void | set_interpolator_factory (const C2DInterpolatorFactory &ipf)
| Transformation (const C2DInterpolatorFactory &ipf)
virtual | ~Transformation ()
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)
| CAttributedData ()
| CAttributedData (const CAttributedData &org)
| CAttributedData (PAttributeMap attr)
CAttributedData & | operator= (const CAttributedData &org)
| Assignemt operator.
const PAttribute | get_attribute (const std::string &key) const
CAttributeMap::const_iterator | begin_attributes () const
CAttributeMap::const_iterator | end_attributes () const
void | set_attribute (const std::string &key, PAttribute attr)
void | set_attributes (CAttributeMap::const_iterator begin, CAttributeMap::const_iterator end)
void | set_attribute (const std::string &key, const std::string &value)
template<typename T>
void | set_attribute (const std::string &key, const T &value)
void | set_attribute (const std::string &key, const char *value)
const std::string | get_attribute_as_string (const std::string &key) const
| returns the requested attribute as string, returns an empty string if attribute doesn't exist
template<typename T>
const T | get_attribute_as (const std::string &key) const
template<typename T>
const T | get_attribute_as (const std::string &key, T default_value) const
void | delete_attribute (const std::string &key)
bool | has_attribute (const std::string &key) const
void | print (std::ostream &os) const
Static Public Attributes inherited from C2DTransformation
static const char * | data_descr
| plug-in search path element "type"
static const char * | dim_descr
| plug-in search path element "data"
static constexpr const char * | input_spacing_attr = "in-pixel-spacing"
static constexpr const char * | output_spacing_attr = "out-pixel-spacing"
Static Public Attributes inherited from Transformation< C2DImage, C2DInterpolatorFactory >
static const char * | type_descr
| interface type for plugin implementation and search
Protected Member Functions inherited from Transformation< C2DImage, C2DInterpolatorFactory >
const C2DInterpolatorFactory & | get_interpolator_factory () const

## Detailed Description

This class mocks a transformation by implementing all the pure virtual methods of the C2DTransformation interface.

This class is only used for testing purpouses.

Definition at line 35 of file 2d/transformmock.hh.

The documentation for this class was generated from the following file:

- 2d/transformmock.hh